UI.AddSubTab(["Misc.", "SUBTAB_MGR"], "Kill Counter")
UI.AddCheckbox(["Misc.", "Kill Counter", "Kill Counter"], "Enable Kill Counter")

function killCounter() {
    var k = Entity.GetProp(Entity.GetLocalPlayer(),"CPlayerResource" ,"m_iKills")
    if(UI.GetValue(["Misc.","Kill Counter","Kill Counter","Enable Kill Counter"]) == 1) {
    Local.SetClanTag(k + "")
    }
    if(UI.GetValue(["Misc.","Kill Counter","Kill Counter","Enable Kill Counter"]) == 0) {
        Local.SetClanTag("")
    }
}

Global.RegisterCallback("CreateMove", "killCounter");